Page MenuHomePhabricator

Personalized first day: comparative review of signup flows
Closed, ResolvedPublic

Description

Background

The Growth team will be adding a form to ask questions after Wikipedia account sign-up, with the intention that information provided will be useful in (1) Providing help and guidance relevant to fulfilling a users' intentions for sign-up; and (2) Directing them to content relevant to their interests.

Goal of the Comparative review

Review similar sign-up/onboarding flows on other apps and sites and identify some best practices and trends to consider in the design the post-Wikipedia account sign-up form.
Aspects of the review will be:

  • Content - Types of questions asked during sign-up/onboarding
  • Form design (language, visual design, format, length, etc)

Comparative review

https://docs.google.com/presentation/d/1TcWYNSYuZbZst1NcKSlCQ9L_f6b6pqAvoeG_J5I0bJQ

Event Timeline

JTannerWMF moved this task from Inbox to To Triage on the Growth-Team board.Oct 10 2018, 12:23 PM
RHo claimed this task.Oct 14 2018, 5:19 PM
RHo edited projects, added Growth-Team (Current Sprint); removed Growth-Team.
RHo updated the task description. (Show Details)
RHo updated the task description. (Show Details)Oct 15 2018, 6:14 PM

@RHo -- this is so amazing and thorough! There are a lot of interesting patterns and learnings. I see that the modal/overlay approach gives a lot of flexibility to do things like progressive reveal or step-by-step. (But I still think we should start by deploying the Special page and then designing and working on the modal/overlay). Please feel free to advance this task on the board wherever you think it should go next.

Could you present a little bit of these slides at Growth team social time this week? (cc @JTannerWMF)

Sounds good @MMiller_WMF – happy to present along with the mocks at Social time this Thurs!

MMiller_WMF closed this task as Resolved.Oct 18 2018, 7:05 PM